/*
	File:		GlobalNew.h

	Contains:	Declarations for a global new

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __GLOBALNEW__
#define __GLOBALNEW__

class TMemoryPool;

#ifndef __STDDEF__
#include <stddef.h>
#endif

extern "C" void*  SLMNewOperator(size_t, TMemoryPool*);
extern "C" void SLMDeleteOperator(void*);

void* operator new(size_t size, TMemoryPool*);	// default size, from a pool
void* operator new(size_t);						// from global pool
void operator delete(void*);					// return memory to pool 

inline void* operator new(size_t size, TMemoryPool* thePool)
{
	return SLMNewOperator(size, thePool);
}

inline void* operator new(size_t size)
{
	return SLMNewOperator(size, NULL);
}

inline void operator delete(void* theMem)
{
	SLMDeleteOperator(theMem);
}

#endif
