/*
	File:		Inspector.r

	Contains:	Resources for the TInspector class

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#include "SysTypes.r"
#include "Types.r"
#include "InspectorCommon.h"


resource 'STR#' (kInspectorErrStrings, purgeable) {
	{
	"Can't stack windows because the WindowStackerLibrary could not be found"
	}
};


/* we use an MBAR resource to conveniently load all the menus */

resource 'MBAR' (rMenuBar) {
	{ mApple, mFile, mEdit, mWindows, mCommands };
};

resource 'MENU' (mApple) {
	mApple, textMenuProc,
	0b1111111111111111111111111111101,	/* disable dashed line, enable About and DAs */
	enabled, apple,
	{
		"About Inspector",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mFile) {
	mFile, textMenuProc,
	0b0000000000000000000000000000010,	/* enable Quit only, program enables others */
	enabled, "File",
	{
		"Close",
			noicon, "W", nomark, plain;
		"Quit",
			noicon, "Q", nomark, plain
	}
};

resource 'MENU' (mEdit) {
	mEdit, textMenuProc,
	0b0000000000000000000000000000000,	/* disable everything, program does the enabling */
	enabled, "Edit",
	 {
		"Undo",
			noicon, "Z", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Cut",
			noicon, "X", nomark, plain;
		"Copy",
			noicon, "C", nomark, plain;
		"Paste",
			noicon, "V", nomark, plain;
		"Clear",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mWindows) {
	mWindows, textMenuProc,
	0b1111111111111111111111111111011,	/* enable everything */
	enabled, "Windows",
	 {
		"Stack",
			noicon, nokey, nomark, plain;
		"Tile",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mCommands) {
	mCommands, textMenuProc,
	0b1111111111111111111111111111111,	/* enable everything */
	enabled, "Commands",
	 {
		"Register Folder",
			noicon, nokey, nomark, plain;
		"Unregister Folder",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Register File",
			noicon, nokey, nomark, plain;
		"Unregister File",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Reload ASLM",
			noicon, "R", nomark, plain;
		"Unload ASLM",
			noicon, "U", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Goto SimpleProgram",
			noicon, "G", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Trace On",
			noicon, "T", nomark, plain;
		"Trace Off",
			noicon, nokey, nomark, plain;
	}
};


/* this ALRT and DITL are used as an About screen */

resource 'ALRT' (rAboutAlert, purgeable) {
	{40, 20, 160, 330 }, rAboutAlert, {
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent
	};
};

resource 'DITL' (rAboutAlert, purgeable) {
	{ /* array DITLarray: 5 elements */
		/* [1] */
		{88, 224, 108, 304},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 24, 304 },
		StaticText {
			disabled,
			"ASLM Test Application"
		},
		/* [3] */
		{32, 8, 48, 237},
		StaticText {
			disabled,
			"Copyright  1991-1993 Apple Computer"
		},
		/* [4] */
		{56, 8, 72, 136},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{80, 24, 112, 220},
		StaticText {
			disabled,
			"The ASLM Team"
		}
	}
};


resource 'WIND' (rDocWindow, purgeable) {
	{64, 60, 314, 460},
	zoomDocProc, invisible, goAway, 0x0, "untitled"
};

/*
/* -------------------------------------------------------------------------- */
/*	Dialog for choosing the folder to register or unregister */
/* -------------------------------------------------------------------------- */

resource 'DLOG' (rFolderDialog) {
	{0, 0, 210, 348},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	rFolderDialog,
	""
};

resource 'DITL' (rFolderDialog) {
	{	/* array DITLarray: 13 elements */
		/* [1] */
		{163, 256, 181, 336},
		Button {
			enabled,
			"Open"
		},
		/* [2] */
		{0, 699, 80, 717},
		Button {
			enabled,
			"Hidden"
		},
		/* [3] */
		{188, 256, 206, 336},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{39, 232, 59, 347},
		UserItem {
			disabled
		},
		/* [5] */
		{68, 256, 86, 336},
		Button {
			enabled,
			"Eject"
		},
		/* [6] */
		{93, 256, 111, 336},
		Button {
			enabled,
			"Drive"
		},
		/* [7] */
		{62, 11, 208, 229},
		UserItem {
			enabled
		},
		/* [8] */
		{62, 228, 208, 245},
		UserItem {
			enabled
		},
		/* [9] */
		{124, 252, 125, 340},
		UserItem {
			disabled
		},
		/* [10] */
		{0, 660, 101, 756},
		StaticText {
			disabled,
			""
		},
		/* [11] */
		{138, 256, 156, 336},
		Button {
			enabled,
			"Select"
		},
		/* [12] */
		{0, 3, 16, 300},
		StaticText {
			disabled,
			"Select a shared library folder:"
		},
		/* [13] */
		{18, 40, 36, 204},
		Button {
			enabled,
			"Select Current Folder"
		}
	}
};
