/*
	File:		RegisteredObjectsWindow.h

	Contains:	TRegisteredObjectsWindow interface.  A window that displays a list
				of TRegisteredObjects.

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/


#ifndef __REGISTEREDOBJECTSWINDOW__
#define __REGISTEREDOBJECTSWINDOW__

#ifndef __DOCUMENT__
#include <Document.h>
#endif

class TList;
class TRegisteredObjectsWindow;
class TRegisteredObjects;
struct EventRecord;

const int kButtonSpace = 0;	// space in window for the buttons on left side.
							// keep this at 0 until we add buttons


/**********************************************************************
** class TRegisteredObjectsWindow
***********************************************************************/

#define kTRegisteredObjectsWindowID "appl:insp$TRegisteredObjectsWindow,1.1"

class TRegisteredObjectsWindow : public TDocument
{
public:
						TRegisteredObjectsWindow();
						TRegisteredObjectsWindow(short resID, TRegisteredObjects *);
	virtual				~TRegisteredObjectsWindow();
	
	virtual void		DoGrow(EventRecord* theEvent);
	virtual	void		DoContent(EventRecord* theEvent);
	virtual	void		DoActivate(Boolean becomingActive);
	virtual	void		DoUpdate();
	virtual	void		DrawWindow();

	// New Methods

	virtual	void		UpdateList();
	virtual	Rect		GetListRect();
	virtual	void		DrawGrowIcon();

private:
			void		InitRegisteredObjectsWindow(TRegisteredObjects *);

private:
		TList*				fList;			// the List Manager list
		TRegisteredObjects*	fRegisteredObjects;
};

#endif
