/*
	File:		WindowStacker.cp

	Contains:	xxx put contents here xxx

	Copyright:	 1992-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __WINDOWS__
#include <Windows.h>
#endif

#ifndef __WINDOWSTACKER__
#include "WindowStacker.h"
#endif

TWindowStacker::TWindowStacker(short hStagger, short vStagger)
{
	InitWindowStacker(hStagger, vStagger);
}

TWindowStacker::TWindowStacker()
{
	fHStagger = kWindowHStagger;
	fVStagger = kWindowVStagger;
}

TWindowStacker::~TWindowStacker()
{
}

void TWindowStacker::InitWindowStacker(short hStagger, short vStagger)
{
	fHStagger = hStagger;
	fVStagger = vStagger;
}

void TWindowStacker::StackWindows(short& h, short& v)
{
	PrivateStackWindows(FrontWindow(),h,v);
}

void TWindowStacker::PrivateStackWindows(WindowPtr window, short& h, short& v)
{
	WindowPtr nextWindow = WindowPtr(WindowPeek(window)->nextWindow);
	if (nextWindow)
	{
		PrivateStackWindows(nextWindow, h, v);
	}
	MoveWindow(window,h,v,false);
	
	h += fHStagger;
	v += fVStagger;
}
