/*
	File:		ShowINITLibrary.c

	Contains:	Implementation of ShowINITLibrary.

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

*/


#include <LibraryManager.h>
#include <LibraryManagerUtilities.h>

#include "ShowINITLibrary.h"

extern pascal void ShowINIT( short, short );

/*
	ShowInit
	
	Calls the famous ShowINIT by Paul Mercer, to display INIT's ICON.
*/

void	ShowInit( short iconID )
{
 	GlobalWorld a5world = GetCurrentGlobalWorld(); 	// save a5 world since ShowINIT trashes it 
	ShowINIT( iconID, -1 );
	SetCurrentGlobalWorld(a5world);		// restore to our previous a5 world

	// We do an UnloadLibraries now to offset the LoadLibraries(false,true) that
	// was done because we set the stayLoaded flag. Otherwise the library will
	// never unload.
	UnloadLibraries();	
}
